### Method

# Cogl Object get_user_data

#### Declaration [src]

    void*
    cogl_object_get_user_data (
      CoglObject* object,
      CoglUserDataKey* key
    )

#### Description [src]

Finds the user data previously associated with `object` using the given `key`. If no user data has been associated with `object` for the given `key` this function returns NULL.

This method is not directly available to language bindings.

#### Parameters

`key`

  Type: `CoglUserDataKey`

  The address of a `CoglUserDataKey` which provides a unique value with which to index the private data.

  The data is owned by the caller of the method.

#### Return value

Type: `void*`

The user data previously associated with `object` using the given `key`; or `NULL` if no associated data is found.

The data is owned by the instance.
The return value can be `NULL`.